summaryrefslogtreecommitdiff
path: root/modules/blobs/put.l.sh
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@sbcglobal.net>2016-03-14 22:26:05 -0400
committerLuke Shumaker <lukeshu@sbcglobal.net>2016-03-14 22:26:05 -0400
commit6d386c6cfe3d04a3188b9d05b7656ffec2a8f51f (patch)
tree96764b24c8cf130d25ddfbcea3adc1b2293f0fa5 /modules/blobs/put.l.sh
parent7190864de465c3c3b015540ca45c9d9bccb5b790 (diff)
fixity fix
Diffstat (limited to 'modules/blobs/put.l.sh')
-rw-r--r--modules/blobs/put.l.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/modules/blobs/put.l.sh b/modules/blobs/put.l.sh
new file mode 100644
index 0000000..b3bc7e3
--- /dev/null
+++ b/modules/blobs/put.l.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+name=blobs/put.l
+desc='Put a symbolic link into the repository'
+copyright=('2016 Luke Shumaker')
+license='AGPLv3+'
+# This file is part of rvs.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+usage=('DIRECTORY')
+. "${0%/*}/_shlib.sh"
+
+main() {
+ [[ $# -eq 1 ]] || errusage
+ link="$1"
+
+ tmpfile="$(mktemp -t "${0##*/}.XXXXXXXXXX")"
+ trap 'rm -f -- "$tmpfile"' EXIT
+ readlink -n -- "$link" > "$tmpfile"
+ "$RVS" blobs/put.f "$tmpfile" 'l'
+}
+
+main "$@"